anpera.net
http://anpera.homeip.net/phpbb3/

Änderungen bezüglich Version 5.5
http://anpera.homeip.net/phpbb3/viewtopic.php?f=34&t=5575
Seite 1 von 1

Autor:  Kyria [ So 23 Apr, 2017 14:47 ]
Betreff des Beitrags:  Änderungen bezüglich Version 5.5

Hallo :)

Ich hab jetzt nicht direkt was mit der PHP 5.3. Probleme, aber mit der 5.5 Version und da ich nach langer Suche nichts ähnlicheres gefunden habe, schreibe ich es nun einfach hier mit rein, ich hoffe das ist okay. Da alle alten Versionen ab geschalten worden sind, musste mein Server auf diese Version angepasst werden. Mein Problem ist jetzt nur leider, dass das Einloggen nicht mehr funktioniert. Da kommt immer Logindaten ungültig. Zusätzlich ist mir aufgefallen das der Loginbanner nur zum viertel angezeigt wird. Auch im Impressum fehlt jede Menge Text. Ich habe keine Ahnung woran das liegen könnte, da ansonsten, von außen gesehen, alles funktioniert.

Ich hoffe ihr könnt mir hier helfen und ich bedanke mich schon im voraus.

Autor:  Eliwood [ Mo 24 Apr, 2017 18:45 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Ich habe deinen Beitrag abgetrennt vom Rest des Threads - das ist ein neues Thema. Nichts desto trotz - hast du die Änderungen, die in dem Thread besprochen wurden, gemacht? Was für PHP 5.3 nötig war, ist natürlich auch für PHP 5.5 (+weitere) nötig.

Autor:  Kyria [ Mi 26 Apr, 2017 11:20 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Also soweit schon, wie es mir möglich war, bin aber nicht sicher das alles richtig war. :(

Autor:  Kyria [ Sa 24 Jun, 2017 20:55 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Sorry, schon mal für einen weiteren Post. :)

Ich habe nochmal alles aus dem anderen Thema angesehen und angepasst, was noch nicht angepasst war. Leider geht immer noch kein Login. :(

Autor:  Eliwood [ Mo 26 Jun, 2017 12:55 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Spricht etwas dagegen, die Dragonslayer-Version zu nehmen (http://anpera.homeip.net//phpbb3/viewto ... =43&t=5564)?

Autor:  Kyria [ Di 27 Jun, 2017 18:04 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Naja. Das ist zwar echt cool und ich finde es Klasse das man das nehmen kann, aber bin ich noch mehr aufgeschmissen xD

Autor:  Eliwood [ Di 27 Jun, 2017 20:00 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Ach, du hast ja eine bereits laufende Version... Na gut. Mal sehen, was wir tun können.

Ich hab da so eine Idee: Probier mal, in die dbwrapper.php (oder zuoberst in der common.php) folgende Zeilen zu setzen:

Code:
$HTTP_GET_VARS &= $_GET;
$HTTP_POST_VARS &= $_POST;
$HTTP_COOKIE_VARS &= $_COOKIE;
$HTTP_SESSIOn_VARS &= $_SESSION;


Zudem musst du folgende Zeile streichen (dbwrapper.php):

Code:
set_magic_quotes($HTTP_COOKIE_VARS);

Autor:  Kyria [ Sa 01 Jul, 2017 14:51 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Hab ich alles gemacht, leider geht es immer noch nicht. :/

Autor:  Arwen Anouk [ Mi 30 Aug, 2017 12:02 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Huhu zusammen, ich hab das gleiche Problem

Autor:  Shaddar [ Sa 02 Sep, 2017 08:19 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Nur um etwas ganz grundsätzliches Mal auszuschließen ...
Welche Werte stehen in der Datenbank für folgende Schlüssel ?

accounts.password (Hash) für den Test-Account
settings.loginbanner

Ich persönlich würde ja dazu übergehen gleich aufzuräumen und alle alten Superglobals durch die neueren Entsprechungen zu ersetzen. Mittels Editor und Datei-übergreifender Such ist das ein Klacks.

Autor:  Eliwood [ Di 12 Sep, 2017 08:39 ]
Betreff des Beitrags:  Re: Änderungen bezüglich Version 5.5

Sorry, ich bin nochmal die Änderungen durchgegangen (dieses mal mit ausprobieren) und mir ist folgender Fehler aufgefallen:

Code:
$HTTP_GET_VARS &= $_GET;
$HTTP_POST_VARS &= $_POST;
$HTTP_COOKIE_VARS &= $_COOKIE;
$HTTP_SESSIOn_VARS &= $_SESSION;


Diese Änderung ist falsch. &= ist keine Referenz-Zuweisung, sondern ein binäres AND. In wirklichkeit müsste es heissen:

Code:
$HTTP_GET_VARS = &$_GET;
$HTTP_POST_VARS = &$_POST;
$HTTP_COOKIE_VARS = &$_COOKIE;
$HTTP_SESSION_VARS = &$_SESSION;


Damit funktioniert der Login bei mir (PHP 7.1) ohne weitere Probleme.

Eine Liste kompletter Änderungen (inklusive den SQL änderungen für MySQL strict), aber ohne Sicherheit-Patches ist hier:
https://github.com/Vassyli/logd097/comp ... 4...master

Seite 1 von 1 Alle Zeiten sind UTC + 1 Stunde
Powered by phpBB® Forum Software © phpBB Group
https://www.phpbb.com/